Delete Pricing - m3ter Documentation

Delete Pricing

cURL

curl --request DELETE \
  --url https://api.m3ter.com/organizations/{orgId}/pricings/{id} \
  --header 'Authorization: Bearer <token>'

Python

import requests

url = "https://api.m3ter.com/organizations/{orgId}/pricings/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.delete(url, headers=headers)

print(response.text)

JavaScript (Fetch)

const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.m3ter.com/organizations/{orgId}/pricings/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP




Responses

Success Codes

Error Codes

Response Example (Success)

{
  "id": "<string>",
  "version": 123,
  "dtCreated": "2023-11-07T05:31:56Z",
  "dtLastModified": "2023-11-07T05:31:56Z",
  "createdBy": "<string>",
  "lastModifiedBy": "<string>",
  "planId": "<string>",
  "planTemplateId": "<string>",
  "cumulative": true,
  "startDate": "2023-11-07T05:31:56Z",
  "endDate": "2023-11-07T05:31:56Z",
  "code": "<string>",
  "description": "<string>",
  "accountingProductId": "<string>",
  "pricingBands": [\
    {\
      "lowerLimit": 1,\
      "fixedPrice": 123,\
      "unitPrice": 123,\
      "id": "<string>",\
      "creditTypeId": "<string>"\
    }\
  ],
  "aggregationId": "<string>",
  "compoundAggregationId": "<string>",
  "segment": {},
  "tiersSpanPlan": true,
  "minimumSpend": 123,
  "minimumSpendDescription": "<string>",
  "minimumSpendBillInAdvance": true,
  "segmentString": "<string>",
  "overagePricingBands": [\
    {\
      "lowerLimit": 1,\
      "fixedPrice": 123,\
      "unitPrice": 123,\
      "id": "<string>",\
      "creditTypeId": "<string>"\
    }\
  ]
}

Response Example (Error)

{
  "message": "<string>"
}

Authorizations

Authorization

m3ter supports machine-to-machine authentication using the clientCredentials OAuth2 flow.